import { IBlock, IDeleteBlock, TBlocksCount, TFilter } from '../assets/types';
export declare const Store: {
    blocks: import("recoil").RecoilState<IBlock[]>;
    blocksIdCount: import("recoil").RecoilState<number>;
    blocksFilter: import("recoil").RecoilState<TFilter>;
    blocksCount: import("recoil").RecoilValueReadOnly<TBlocksCount>;
    newBlockId: import("recoil").RecoilState<string>;
    deleteModeBlocksId: import("recoil").RecoilState<string>;
    editModeId: import("recoil").RecoilState<string>;
    filteredBlocks: import("recoil").RecoilValueReadOnly<IBlock[]>;
    queueToDeleteBlocksId: import("recoil").RecoilState<IDeleteBlock[]>;
    queueToDeleteArticlesId: import("recoil").RecoilState<IDeleteBlock[]>;
    uploadImageId: import("recoil").RecoilState<string>;
};
